2020-04-04 00:35 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005953Spring engineGeneralpublic2018-04-10 20:41
Reporterabma 
Assigned ToKloot 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target Version105.0Fixed in Version104.0 +git 
Summary0005953: validation test fails with (LUA_ERRMEM) callin=DrawScreen trace=[Internal Lua error: Call failure] not enough memory
Descriptionfirst failing test is https://github.com/spring/spring/commit/eafe606a587c4e691d46f46135caa4b315d5a523

Additional Informationhttps://buildbot.springrts.com/builders/validationtests/builds/5743/steps/validation%20test_5/logs/stdio
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0018990

Kloot (developer)

the extremely high framerate on headless and 120x speed multiplier probably means 4Hz gc at prestart [f=-000001] is insufficient.

~0018991

abma (administrator)

Last edited: 2018-04-06 11:25

View 2 revisions

> the extremely high framerate on headless

edit:

is vsync enabled / fps limited for headless?

~0018992

Kloot (developer)

no, headless vsync is always a no-op.

~0018993

hokomoko (developer)

is it possible to have gc frequency be a function of free lua mem (or lack thereof)? I think this will deal nicely with both perf issues and oom.

~0018994

Kloot (developer)

I think varying the frequency would effectively be the same as varying the allowed gc time per round based on memory footprint (as in the current scheme) but it's worth a shot.
+Notes

-Issue History
Date Modified Username Field Change
2018-04-06 09:59 abma New Issue
2018-04-06 10:45 Kloot Note Added: 0018990
2018-04-06 10:46 Kloot Assigned To => Kloot
2018-04-06 10:46 Kloot Status new => assigned
2018-04-06 11:22 abma Note Added: 0018991
2018-04-06 11:25 abma Note Edited: 0018991 View Revisions
2018-04-06 11:51 Kloot Note Added: 0018992
2018-04-06 17:45 hokomoko Note Added: 0018993
2018-04-06 18:19 Kloot Note Added: 0018994
2018-04-10 20:41 Kloot Status assigned => resolved
2018-04-10 20:41 Kloot Resolution open => fixed
2018-04-10 20:41 Kloot Fixed in Version => 104.0 +git
+Issue History